Gestiono
Referencia de APIAccounting / Beneficiary

Create Beneficiary

← Back to full API reference
POST/v1/beneficiaryAuth required
  • Validated by Zod schema: postBeneficiary.

Request details

Body fields

FieldRequiredDescription
nameYesType: string
typeYesEnum-like validator generated by zodFromObj
taxIdNoType: string
referenceNoType: string
labelsNoType: arrayExample:
labels[]YesType: string
contactNoType: arrayExample:
contact[]YesType: object
contact[].typeYesType: string
contact[].dataYesType: string
contact[].dataTypeNoType: enumExample: string
latNoType: number
lonNoType: number
metadataNoType: object
metadata.adquisitionChannelNoType: string
creditLimitNoType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "name": "string",
  "type": "string"
}

Sample response

json
{
  "beneficiaryId": "<beneficiaryId>"
}